*, ::after, ::before {
	box-sizing: border-box;
}

@media(min-aspect-ratio: 1/1) {
	.base {
		float:left;
		width: 89vw;
		height: 100%;
	}
	.icon {
		width: 15vw;
		height: 15vw;
	}
	.icon img {
		width: 15vw;
		height: 15vw;
		padding: 1vw;
	}
	.alt-icon {
		width: 10vw;
		height: 10vw;
	}
	.alt-icon img {
		width: 10vw;
		height: 10vw;
		padding: 1vw;
	}
	h1 {
		font-size: 5vw;
	}
	h2 {
		font-size: 3vw;
	}
	.error {
		font-size: 3vw;
	}
	.node-img {
		width: 50vw;
	}
}

@media(max-aspect-ratio: 1/1) {
	.base {
		float: top;
		height: 90vh;
		width: 100%;
	}
	.base::after {
		content: '';
		display: block;
		height: 10vh;
	}
	.icon {
		width: 15vh;
		height: 15vh;
	}
	.icon img {
		width: 15vh;
		height: 15vh;
		padding: 1vh;
	}
	.alt-icon {
		width: 10vh;
		height: 10vh;
	}
	.alt-icon img {
		width: 10vh;
		height: 10vh;
		padding: 1vh;
	}
	h1 {
		font-size: 5vh;
	}
	h2 {
		font-size: 3vh;
	}
	.error {
		font-size: 3vh;
	}
	.node-img {
		width: 70vw;
	}
}

.node-img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 5vh;
}
body {
	background-color: #1b151e;
	color: #fff;
	font-family: monospace, serif;
	letter-spacing: 0.05em;
}
h1 {
	text-align: center;
}
h2 {
	width: 100%;
	padding: 1vh 0 2vh;
}
.header-icon {
	display: block;
	margin: 0 auto;
}
.header-icons {
	text-align: center;
}
.main-icon {
	display: inline-block;
}
.alt-icon {
	display: inline-block;
}
input::placeholder {
	color: #a9bcc6;
}
.error {
	text-align: center;
	width: 100%;
	margin: 0 auto;
	color: #c7aabc;
}
.form {
	padding: 3vh 3vh;
	margin: 0 auto;
}
.form .control {
	margin: 0 0 3vh;
}
.form .control input {
	width: 100%;
	padding: 3vh 3vh;
	border: 0;
	background: transparent;
	color: #fff;
	font-family: monospace, serif;
	letter-spacing: 0.05em;
	font-size: 3vh;
}
.form .control .text {
	width: 100%;
	padding: 3vh 3vh;
	border: 0;
	background: transparent;
	color: #fff;
	font-family: monospace, serif;
	letter-spacing: 0.05em;
	font-size: 3vh;
}
.finished {
	color: #c7aabc;
}
.form .control input:hover, .form .control input:focus {
	outline: none;
	border: 0;
}
.form .btn {
	margin: 0 0 3vh;
	width: 100%;
	display: block;
	padding: 3vh 3vh;
	background: transparent;
	outline: none;
	border: 0;
	color: #fff;
	letter-spacing: 0.1em;
	font-weight: bold;
	font-family: monospace, serif;
	font-size: 3vh;
}
.block-cube {
	position: relative;
}
.block-cube .bg-top {
	position: absolute;
	height: 2vh;
	background: #020024;
	background: linear-gradient(90deg, #513e5c 0%, #c7aabc 37%, #a9bcc6 94%);
	bottom: 100%;
	left: 1vh;
	right: -1vh;
	transform: skew(-45deg, 0);
	margin: 0;
}
.block-cube .bg-top .bg-inner {
	bottom: 0;
}
.block-cube .bg {
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background: #1b151e;
	background: linear-gradient(90deg, #513e5c 0%, #c7aabc 37%, #a9bcc6 94%);
}
.block-cube .bg-right {
	position: absolute;
	background: #a9bcc6;
	top: -1vh;
	z-index: 0;
	bottom: 1vh;
	width: 2vh;
	left: 100%;
	transform: skew(0, -45deg);
}
.block-cube .bg-right .bg-inner {
	left: 0;
}
.block-cube .bg .bg-inner {
	transition: all 0.2s ease-in-out;
}
.block-cube .bg-inner {
	background: #1b151e;
	position: absolute;
	left: 0.3vh;
	top: 0.3vh;
	right: 0.3vh;
	bottom: 0.3vh;
}
.block-cube .text {
	position: relative;
	z-index: 2;
}
.block-cube.block-input input {
	position: relative;
	z-index: 2;
}
.block-cube.block-input input:focus ~ .bg-right .bg-inner, .block-cube.block-input input:focus ~ .bg-top .bg-inner, .block-cube.block-input input:focus ~ .bg-inner .bg-inner {
	top: 100%;
	background: rgba(255, 255, 255, 0.5);
}
.block-cube.block-input .bg-top, .block-cube.block-input .bg-right, .block-cube.block-input .bg {
	background: rgba(255, 255, 255, 0.5);
	transition: background 0.2s ease-in-out;
}
.block-cube.block-input .bg-right .bg-inner, .block-cube.block-input .bg-top .bg-inner {
	transition: all 0.2s ease-in-out;
}
.block-cube.block-input:focus .bg-top, .block-cube.block-input:hover .bg-top, .block-cube.block-input:focus .bg-right, .block-cube.block-input:hover .bg-right, .block-cube.block-input:focus .bg, .block-cube.block-input:hover .bg {
	background: rgba(255, 255, 255, 0.8);
}
.block-cube.block-cube-hover:focus .bg .bg-inner, .block-cube.block-cube-hover:hover .bg .bg-inner {
	top: 100%;
}
